package gui.servlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import util.HTMLCode;
import contas.Conta;
import contas.ContaJaCadastradaException;
import fachada.Banco;

public class ServletCadastrar extends HttpServlet {

    private Banco banco;

    public void init(ServletConfig config) throws ServletException {
        try {
            banco = Banco.getInstance();
        } catch (Exception e) {
            System.out.println(e.getMessage()); 

            throw new ServletException(e.getMessage());
        }
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        PrintWriter out;
        Conta conta;

        response.setContentType("text/html");

        out = response.getWriter();

        try {

            String numero = request.getParameter("numero");
            double saldo  = Double.parseDouble(request.getParameter("saldo"));
		
            conta = new Conta(numero, saldo);
            
            banco.cadastrar(conta);

            out.println(HTMLCode.htmlPage("Conta inserida com sucesso", 
                                          "<p> <h2> Conta inserida com sucesso</h2> </p>"));                                          

       } catch (ContaJaCadastradaException e) {
            out.println(HTMLCode.errorPage("Ja existe uma conta cadastrada com esse nmero, tente novamente"));
        } finally {
            out.close();
        }
    }
}