package gui.servlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import util.HTMLCode;
import contas.ContaNaoEncontradaException;
import fachada.Banco;

public class ServletSaldo extends HttpServlet {

    private Banco banco;

    public void init(ServletConfig config) throws ServletException {
        try {
            banco = Banco.getInstance();
        } catch (Exception e) {
            System.out.println(e.getMessage()); 

            throw new ServletException(e.getMessage());
        }
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        PrintWriter out;

        response.setContentType("text/html");

        out = response.getWriter();

        try {

            String numero = request.getParameter("numero");
		
            double saldo = banco.saldo(numero);
            
            out.println(HTMLCode.htmlPage("Saldo", 
                                          "<p> <h2>O saldo da conta "+numero+"  R$"+saldo+"</h2> </p>"));                                          

       } catch (ContaNaoEncontradaException e) {
            out.println(HTMLCode.errorPage("No existe uma conta cadastrada com esse nmero, tente novamente"));
        } finally {
            out.close();
        }
    }
}