package gui.servlets;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import util.HTMLCode;
import contas.ContaNaoEncontradaException;
import contas.SaldoInsuficienteException;
import fachada.Banco;

public class ServletTransferir extends HttpServlet {

    private Banco banco;

    public void init(ServletConfig config) throws ServletException {
        try {
            banco = Banco.getInstance();
        } catch (Exception e) {
            System.out.println(e.getMessage()); 

            throw new ServletException(e.getMessage());
        }
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        PrintWriter out;

        response.setContentType("text/html");

        out = response.getWriter();

        try {

            String numeroDe = request.getParameter("numeroDe");
            String numeroPara = request.getParameter("numeroPara");            
            double valor  = Double.parseDouble(request.getParameter("valor"));
		
            banco.transferir(numeroDe, numeroPara, valor);
            
            out.println(HTMLCode.htmlPage("Transferncia executada com sucesso", 
                                          "<p> <h2>Transferncia executada com sucesso</h2> </p>"));                                          

       } catch (ContaNaoEncontradaException e) {
            out.println(HTMLCode.errorPage("Uma das contas no foi encontrada, confira os nmeros das mesmas e tente novamente."));
		} catch (SaldoInsuficienteException e) {
			 out.println(HTMLCode.errorPage("O saldo atual da conta  insufuciente para realizar esta movimentao."));
        } finally {
            out.close();
        }
    }
}